GIT-QTOP(1)

NAME
git-qtop - identify the most recently applied Git-MQ patch

SYNOPSIS
git qtop [-v | --verbose] [-s | --summary]

DESCRIPTION
The git qtop command displays the identity of the topmost applied patch, if any, in a Git-MQ patch series.

OPTIONS

-s, --summary
    Include the summary line from the patch header, if available.

-v, --verbose
    Include the patch sequence number, and the status flag, (which should always be ‘A’), as described for the git qseries command.

EXIT STATUS
On successful completion, git qtop reports an exit status code of 0, when an applied patch is identified, or of 1 if no patches have been applied. Any other non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qtop command exhibits fundamentally the same behaviour as its hg qtop counterpart.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qnext(1), git-qprev(1), git-qseries(1)